Issues compiling with latest ffmpeg with vc 9.0 and msys32/64

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Issues compiling with latest ffmpeg with vc 9.0 and msys32/64

dave-5
Dear all,

I'm trying to compile the latest version of ffmpeg on Windows 7 using  
Microsoft Visual Studio 9.0.
VS Studio 2008 Professional. This is the only version I have available.

I've followed the articles in:

https://trac.ffmpeg.org/wiki/CompilationGuide/MSVC

which describes using visual studio versions earlier than VS2012.

I've downloaded everything as described and followed all the steps,  
but I get the following error
when running configure:

==========================================================================================
$ ./configure --toolchain=msvc
c99wrap cl is unable to create an executable file.
If c99wrap cl is a cross-compiler, use the --enable-cross-compile option.
Only do this if you know what cross compiling means.
C compiler test failed.

If you think configure made a mistake, make sure you are using the latest
version from Git.  If the latest version fails, report the problem to the
[hidden email] mailing list or IRC #ffmpeg on irc.freenode.net.
Include the log file "ffbuild/config.log" produced by configure as  
this will help
solve the problem.
============================================================================================
$ which cl
/c/Program Files (x86)/Microsoft Visual Studio 9.0/VC/BIN/x86_amd64/cl
============================================================================================
$ which gcc
/usr/bin/gcc
============================================================================================

I've downloaded yasm and c99 etc...

Please can anyone help?

Thanks and Regards.



/c/Program Files (x86)/Microsoft Visual Studio 9.0/VC/BIN/x86_amd64/cl


_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".
Reply | Threaded
Open this post in threaded view
|

Re: Issues compiling with latest ffmpeg with vc 9.0 and msys32/64

Carl Eugen Hoyos-2
2018-03-09 17:46 GMT+01:00  <[hidden email]>:

> $ ./configure --toolchain=msvc
> c99wrap cl is unable to create an executable file.
> If c99wrap cl is a cross-compiler, use the --enable-cross-compile option.
> Only do this if you know what cross compiling means.
> C compiler test failed.
>
> If you think configure made a mistake, make sure you are using the latest
> version from Git.  If the latest version fails, report the problem to the
> [hidden email] mailing list or IRC #ffmpeg on irc.freenode.net.

> Include the log file "ffbuild/config.log" produced by configure as this will
> help solve the problem.

Did you read this?

Carl Eugen
_______________________________________________
ffmpeg-user mailing list
[hidden email]
http://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".